ObertObert
Inbox

Search Chats

Search chats using Postgres JSONB, respecting active filters.

GET
/api/inbox/chats/search
AuthorizationBearer <token>

In: header

Query Parameters

qstring
Length1 <= length
linkedin_account_id?string|null
limit?integer
Default50
cursor?string|null
archived?boolean|null
starred?boolean|null
unread?boolean|null
label_id?string|null
filter_mode?string|null
Value in"waiting_them" | "waiting_me" | "active_conversation"
campaign_name?string|null
classification?string|null
content_type?string|null
Value in"regular" | "inmail" | "sponsored"
sort_field?string
Default"time"
sort_dir?string
Default"desc"
Value in"asc" | "desc"

Header Parameters

x-tenant-id?string|null

Response Body

application/json

application/json

curl -X GET "https://api.obert.io/api/inbox/chats/search?q=string"
{
  "data": [
    {
      "id": "string",
      "provider_id": "string",
      "attendee": {
        "provider_id": "string",
        "name": "string",
        "headline": "string",
        "profile_picture_url": "string",
        "lead_id": "string",
        "contact_id": "string"
      },
      "attendees": [],
      "is_group": false,
      "timestamp": "2019-08-24T14:15:22Z",
      "last_message_text": "string",
      "unread": false,
      "unread_count": 0,
      "is_archived": false,
      "is_starred": false,
      "is_muted": false,
      "content_type": "string",
      "labels": [],
      "campaigns": [],
      "campaign_name": "string",
      "campaign_id": "string",
      "classification": "string",
      "is_campaign_chat": false,
      "linkedin_account_id": "string",
      "linkedin_account_display_name": "string",
      "linkedin_account_avatar_url": "string"
    }
  ],
  "total_scanned": 0,
  "total_matches": 0,
  "cache_hit": false
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}